Subject: Re: [PATCH 2/2] xdiff: optimize xdl_hash_record_verbatim

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Sep 2025 14:04:16 -0700

Alexander Monakov <[email-masked]> writes:

> On Wed, 20 Aug 2025, Junio C Hamano wrote:
>
>> The thread has gone quiet.  I assume everybody is happy with the
>> result?  Can we have a hopefully final v2 iteration of these
>> patches, to address the updated to the table (this thread), to
>> squelch the __asm__() issue [*asm*], and a reword you mentioned
>> [*reword*] against Phillip's review?
>
> I was expecting that Phillip would come back to the question of underwhelming
> performance improvement he was seeing on his CPU. I was working on an
> alternative approach to speed up that function, which I just sent in the v2
> thread: https://lore.kernel.org/git/[email-masked]/
> It does not depend on the performance of integer multiplication anymore,
> so it should work better from architecture neutrality point of view.
>
> I'm not sure what's the current status though, it seems nobody gave the original
> two patches a Reviewed-by?
>
> If the proposed changes in v2 are too sudden, what happens now?

Well, it has been quite a while since I asked, and the last round,
which looked reasonably well done, is now in 'next' and is about to
graduate to 'master'.  So, if there are further good changes on top,
can you make them incremental on top of 'master' after I push out
today's integration result?

Thanks.